devguard
RisksTemplates

List the risk templates the register can be populated from.

GET
/risks/templates/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

organizationId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/risks/templates/?organizationId=string"
{  "catalogues": [    {      "id": "string",      "name": {        "en": "string",        "de": "string"      },      "source": "string",      "description": {        "en": "string",        "de": "string"      }    }  ],  "templates": [    {      "id": "string",      "catalogue": "string",      "reference": "string",      "name": {        "en": "string",        "de": "string"      },      "description": {        "en": "string",        "de": "string"      },      "impactDescription": {        "en": "string",        "de": "string"      },      "treatmentType": "UNKNOWN",      "initial": [        0,        0      ],      "residual": [        0,        0      ],      "tags": [        "string"      ],      "existingSlug": "string"    }  ]}

How is this guide?